Każdy kto zdążył już do tej pory zaktualizować WordPressa do wersji 3.3 powinien jak najszybciej wykonać aktualizację do wersji 3.3.1, ze względu na wykrytą i załataną dziurę w systemie komentarzy, która była wrażliwa na atak typu XSS.

Łączna liczba zmian to 15, ale to tylko przy okazji:

  • wp_print_styles() causing mid-page scripts/styles to bleed into admin
  • Multi-site Upload Limit Stuck at 50MB
  • Wrong widget count on dashboard
  • Multisite: No Database Prefix causes strpos(): Empty delimiter
  • Never show two flyouts at once
  • $userdata not populated properly
  • Toolbar shows a warning on a second call
  • Unwanted backslash in output
  • Users list „Change role to” allows for changing logged-in Admin role to Subscriber
  • current-menu-item and current_page_item classes incorrectly added to custom menu items with no URL value.
  • Remove .button styling from _default_wp_die_handler()
  • Press This #message is ugly (3.2 to 3.3 regression)
  • Quick Edit/Reply missing tabindex causes <tab> to miss Update Comment/Reply button
  • Script Loader dies in 3.3 on no-JSON PHP

Published by Marcin Pietrzak

Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis nec ante nec lectus laoreet feugiat. Donec aliquet justo in tellus gravida, id elementum magna convallis. Curabitur faucibus mauris sed risus egestas lobortis. Nunc vestibulum elit ac ipsum ultricies, non ultrices lorem ultrices. Nam at dolor id elit lobortis ullamcorper. Fusce commodo turpis nisi, efficitur efficitur libero dictum eget. Morbi viverra dignissim lacus. Vestibulum mi justo, dictum ut iaculis eget, scelerisque et nibh.

Przeczytaj poprzedni wpis:
WordPress: jak zmienić tło w co drugim wpisie

Na polskim forum WordPressa użytkownik kujdak zadał pytanie Mam skórkę Twenty Eleven ten. chciałem wyróżnić posty - co drugi o np....

Zamknij